/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMVENTAARMATEM")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmventaarmatem.findAll", query = "SELECT t FROM Tarmventaarmatem t"),
    @NamedQuery(name = "Tarmventaarmatem.findByCarmaventatem", query = "SELECT t FROM Tarmventaarmatem t WHERE t.carmaventatem = :carmaventatem"),
    @NamedQuery(name = "Tarmventaarmatem.findByCarma", query = "SELECT t FROM Tarmventaarmatem t WHERE t.carma = :carma"),
    @NamedQuery(name = "Tarmventaarmatem.findByPersoncodigo", query = "SELECT t FROM Tarmventaarmatem t WHERE t.personcodigo = :personcodigo"),
    @NamedQuery(name = "Tarmventaarmatem.findByFcreacion", query = "SELECT t FROM Tarmventaarmatem t WHERE t.fcreacion = :fcreacion"),
    @NamedQuery(name = "Tarmventaarmatem.findByEstado", query = "SELECT t FROM Tarmventaarmatem t WHERE t.estado = :estado"),
    @NamedQuery(name = "Tarmventaarmatem.findByFactura", query = "SELECT t FROM Tarmventaarmatem t WHERE t.factura = :factura"),
    @NamedQuery(name = "Tarmventaarmatem.findByNoregistro", query = "SELECT t FROM Tarmventaarmatem t WHERE t.noregistro = :noregistro"),
    @NamedQuery(name = "Tarmventaarmatem.findByJustificacion", query = "SELECT t FROM Tarmventaarmatem t WHERE t.justificacion = :justificacion"),
    @NamedQuery(name = "Tarmventaarmatem.findByObservacion", query = "SELECT t FROM Tarmventaarmatem t WHERE t.observacion = :observacion"),
    @NamedQuery(name = "Tarmventaarmatem.findByPathdocumento", query = "SELECT t FROM Tarmventaarmatem t WHERE t.pathdocumento = :pathdocumento"),
    @NamedQuery(name = "Tarmventaarmatem.findByCentrocontrol", query = "SELECT t FROM Tarmventaarmatem t WHERE t.centrocontrol = :centrocontrol")})
public class Tarmventaarmatem implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CARMAVENTATEM")
    private Integer carmaventatem;
    @Column(name = "CARMA")
    private String carma;
    @Column(name = "PERSONCODIGO")
    private Integer personcodigo;
    @Column(name = "FCREACION")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fcreacion;
    @Column(name = "ESTADO")
    private String estado;
    @Column(name = "FACTURA")
    private String factura;
    @Column(name = "NOREGISTRO")
    private String noregistro;
    @Column(name = "JUSTIFICACION")
    private String justificacion;
    @Column(name = "OBSERVACION")
    private String observacion;
    @Column(name = "PATHDOCUMENTO")
    private String pathdocumento;
    @Column(name = "CENTROCONTROL")
    private String centrocontrol;

    public Tarmventaarmatem() {
    }

    public Tarmventaarmatem(Integer carmaventatem) {
        this.carmaventatem = carmaventatem;
    }

    public Integer getCarmaventatem() {
        return carmaventatem;
    }

    public void setCarmaventatem(Integer carmaventatem) {
        this.carmaventatem = carmaventatem;
    }

    public String getCarma() {
        return carma;
    }

    public void setCarma(String carma) {
        this.carma = carma;
    }

    public Integer getPersoncodigo() {
        return personcodigo;
    }

    public void setPersoncodigo(Integer personcodigo) {
        this.personcodigo = personcodigo;
    }

    public Date getFcreacion() {
        return fcreacion;
    }

    public void setFcreacion(Date fcreacion) {
        this.fcreacion = fcreacion;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getFactura() {
        return factura;
    }

    public void setFactura(String factura) {
        this.factura = factura;
    }

    public String getNoregistro() {
        return noregistro;
    }

    public void setNoregistro(String noregistro) {
        this.noregistro = noregistro;
    }

    public String getJustificacion() {
        return justificacion;
    }

    public void setJustificacion(String justificacion) {
        this.justificacion = justificacion;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public String getPathdocumento() {
        return pathdocumento;
    }

    public void setPathdocumento(String pathdocumento) {
        this.pathdocumento = pathdocumento;
    }

    public String getCentrocontrol() {
        return centrocontrol;
    }

    public void setCentrocontrol(String centrocontrol) {
        this.centrocontrol = centrocontrol;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (carmaventatem != null ? carmaventatem.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmventaarmatem)) {
            return false;
        }
        Tarmventaarmatem other = (Tarmventaarmatem) object;
        if ((this.carmaventatem == null && other.carmaventatem != null) || (this.carmaventatem != null && !this.carmaventatem.equals(other.carmaventatem))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmventaarmatem[ carmaventatem=" + carmaventatem + " ]";
    }
    
}
